Page MenuHomePhabricator

Uploading cohort or running a large report fails
Closed, DeclinedPublic

Description

Bug reported by Amanda on wikimetrics-l

Small reports were working, but no big reports went through and I only managed to upload one large cohort.* Now we are getting the same failures on all reports and cohort uploads again.

*Big reports being individual edits on ~5,000 user names over one month
*Large cohort being ~250 users expanded globally

Related Objects

Event Timeline

kevinator raised the priority of this task from to Unbreak Now!.
kevinator updated the task description. (Show Details)
kevinator added a subscriber: kevinator.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 26 2015, 7:14 PM
Abit added a subscriber: Abit.Jan 26 2015, 10:00 PM
Capt_Swing added a subscriber: Capt_Swing.

Still a fairly regular issue for some Wikimetrics users. See thread: https://lists.wikimedia.org/pipermail/wikimetrics/2015-February/000241.html

Abit awarded a token.Feb 17 2015, 5:31 PM
Capt_Swing set Security to None.

This task has "Unbreak now" priority since it was filed in January 2015 which seems unrealistic. Please correct the priority value or set an assignee.

Capt_Swing changed the task status from Open to Stalled.Apr 7 2015, 11:39 PM
Capt_Swing lowered the priority of this task from Unbreak Now! to High.

I changed this to "stalled" for now because it's probably an intermittent bug related to the periodic outages Wikimetrics has been experiencing (particularly in Feb and March)... BUT I don't have enough info to claim that those issues are resolved. @kevinator how do you prefer we deal with bug report tasks like these in the future?

NickK changed the task status from Stalled to Open.Mar 9 2016, 11:29 PM
NickK added a subscriber: NickK.

I confirm that this behaviour still occurs. While attempting to work with a very large cohort I get the following errors:

  1. https://metrics.wmflabs.org/cohorts/#6516 (all Wiki Loves Earth 2015 participants, all projects): Validated 35003 of 132962 cohort members. 35000 are valid, 3 are invalid. I never managed to have all members validated.
  1. https://metrics.wmflabs.org/cohorts/#6517 (all Wiki Loves Earth 2015 participants, commons only): Validated 5005 of 8943 cohort members. 5000 are valid, 5 are invalid. I never managed to ger all members validated here either

Thus the problem still persists and has a negative impact on evaluation of large projects.

Restricted Application added a subscriber: Steinsplitter. · View Herald TranscriptMar 9 2016, 11:29 PM
mforns closed this task as Declined.Mar 26 2019, 2:11 PM
mforns added a subscriber: mforns.

Declining because Wikimetrics is being discontinued. See: T211835.

Restricted Application added a project: Analytics. · View Herald TranscriptMar 26 2019, 2:11 PM